// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
// 引入组件库
import ElementUI from 'element-ui';
import router from './router'
import store from "./store.js"
// 引入扫描文件
import scanFile from './scanfile.js'
// 引入icon
import '../src/assets/icon/iconfont.css'
// 引入埋点
import buriedPoint from 'buriedPoint';
// 引入样式
import './style/index.scss';
// 引入iframe代理
import './assets/js/iframeProxy';
// 引入token设置
import './assets/js/controlToken';
// 引入icon
import './assets/icon/iconfont'
// 根组件
import App from './App'

Vue.use(buriedPoint);
Vue.use(ElementUI);
Vue.config.productionTip = false;
new Vue({
	el: '#app',
	router,
	components: { App },
	store,
	template: '<App/>'
})
